개발+IT

macOS Catalina 업데이트후 cocoapod 오류가 나는 문제에 대하여

Homebrew 기반으로 설치한 경우 생기는 문제

macOS 카탈리나 정식 버전이 올라와서 바로 업데이트하고 대충 구경하다가 하던 일을 계속하려는데, CocoaPods로 라이브러리를 추가하려는 상황에서 다음과 같은 오류 메시지를 마주했다.

아니 이게 도대체 무슨 소리야...하고 찾아보니 CocoaPods 깃헙 저장소에서 비슷한 문제를 겪은 사람을 찾을 수 있었고, 댓글을 뒤져보니 그에 대한 해결책(중간에 있는 'CathyXian' 이라는 사람이 남긴 방법. 👍가 가장 많이 찍힌 댓글을 찾으면 된다.)도 찾을 수 있었다. 어휴 다행!

링크 제목에도 나와있다시피, Homebrew를 통해 CocoaPods를 설치했을 경우에 생기는 문제라고 한다. 명령어 단 두 줄이면 되는데 다음과 같다.

위의 두 명령어가 뭘 의미하는지 찾아봤는데, 대충 설치하려는 프로그램 소스로부터 직접 컴파일해 설치한 후, 기존 링크를 삭제하고 다시 링크하는 것을 의미하는 것 같았다. 그동안 Homebrew를 쓰면서 install과 update 외에는 거의 쓸 일이 없어서 다른 명령어나 옵션이 뭐가 있는지 전혀 신경쓰지 않고 있었는데 역시 사람은 공부를 해야한다. 여튼 비슷한 문제를 겪은 분들이 있다면 이걸로 해결해보시길.

GAE BAL JA

구본본 님의 창작활동을 응원하고 싶으세요?

hell yeah, world
hell yeah, world
구독자 101
멤버십 가입

0개의 댓글

SNS 계정으로 간편하게 로그인하고 댓글을 남겨주세요.
새로운 알림이 없습니다.